List Line Items for a Budget
get
/public/v1/budgets/{budget}/itemsbudgetstringrequiredThe budget UUID
sortstringSort the results. Prefix with '-' for descending. One of: name, price.
Example:namepage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of BudgetItemResource
dataobject[]required▶Show 15 child attributesHide child attributes
idstringrequiredExample:b1i2t3e4-m5f6-47a8-9b0c-1d2e3f4a5b6cnamestringrequiredExample:Support Coordinationdescriptionstring | nullrequiredExample:Weekly coordination check-innumberstring | nullrequiredExample:07_001_0106_8_3priceintegerrequiredExample:10044unit_priceintegerrequiredExample:3348ratio_numeratorinteger | nullrequiredExample:1ratio_denominatorinteger | nullrequiredExample:3quantitynumberrequiredExample:2.5unitstringrequiredExample:HperiodstringrequiredExample:weektotalintegerrequiredExample:1305720startstringrequiredExample:2026-01-01T00:00:00+00:00endstringrequiredExample:2026-12-31T00:00:00+00:00charge_itemobject | nullrequired▶Show 4 child attributesHide child attributes
idstringrequiredExample:c1i2t3m4-e5f6-47a8-9b0c-1d2e3f4a5b6cnamestringrequiredExample:Support CoordinationreferencestringrequiredExample:SUPPORT_COORD_L2numberstringrequiredExample:07_002_0106_8_3
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error404Not found